insert into lic_maintenance.versioning
    (object_type, object_version)
select 'TL', 0
where not exists(select object_version from lic_maintenance.versioning where object_type = 'TL');

insert into lic_maintenance.versioning
    (object_type, object_version)
select 'PL', 0
where not exists(select object_version from lic_maintenance.versioning where object_type = 'PL');

insert into i3dh.schema_migrations
    ("version", dirty)
select '0', false
where not exists(select "version" from i3dh.schema_migrations);


-- insert tables version, MUST be one SET-WHERE line
update lic_maintenance.versioning
set object_version=60
where object_type = 'TL';

-- insert tables version, MUST be one SET-WHERE line
update lic_maintenance.versioning
set object_version=61
where object_type = 'PL';

-- insert migration version, MUST be one SET-WHERE line
update i3dh.schema_migrations
set "version"='3';
