-- enableConstrains script to enable all foreign key constrains on tables.
-- To be executed when constrains are needed to be enabled
-- Enabling constrains slow down the insertion and update statements
--

-- cache tables
ALTER TABLE l3d.shape                     ENABLE TRIGGER ALL;
ALTER TABLE l3d.shape_instance            ENABLE TRIGGER ALL;

ALTER TABLE l3d.edge                      ENABLE TRIGGER ALL;
ALTER TABLE l3d.edge_instance             ENABLE TRIGGER ALL;
ALTER TABLE l3d.edge_instance_to_aux_node ENABLE TRIGGER ALL;

ALTER TABLE l3d.face                      ENABLE TRIGGER ALL;
ALTER TABLE l3d.face_instance             ENABLE TRIGGER ALL;
ALTER TABLE l3d.face_instance_to_aux_node ENABLE TRIGGER ALL;

ALTER TABLE l3d.node                      ENABLE TRIGGER ALL;
ALTER TABLE l3d.aux_node                  ENABLE TRIGGER ALL;
ALTER TABLE l3d.aux_node_type             ENABLE TRIGGER ALL;

ALTER TABLE l3d.aux_value                 ENABLE TRIGGER ALL;
ALTER TABLE l3d.aux_value_name            ENABLE TRIGGER ALL;

ALTER TABLE l3d.aux_attributes            ENABLE TRIGGER ALL;

ALTER TABLE l3d.metadata                  ENABLE TRIGGER ALL;
ALTER TABLE l3d.aux_node_to_aux_node      ENABLE TRIGGER ALL;

ALTER TABLE l3d.tag_name                  ENABLE TRIGGER ALL;
ALTER TABLE l3d.tags_values               ENABLE TRIGGER ALL;
ALTER TABLE l3d.data_stats                ENABLE TRIGGER ALL;

-- indexl3d tables
ALTER TABLE l3d.index_cache               ENABLE TRIGGER ALL;
ALTER TABLE l3d.index_properties          ENABLE TRIGGER ALL;
ALTER TABLE l3d.index_source              ENABLE TRIGGER ALL;
ALTER TABLE l3d.index_stats               ENABLE TRIGGER ALL;

--ALTER TABLE public."ir3d_Cache" ENABLE TRIGGER ALL;

