--
-- PostgreSQL database dump
--

-- Dumped from database version 9.2.18
-- Dumped by pg_dump version 9.2.18
-- Started on 2017-08-11 15:47:03 BST


-- The role which is used by l3dGen to insert data into the DB
DO
$body$
BEGIN
	IF NOT EXISTS ( 
	SELECT   1                    -- SELECT list can stay empty for this
  	FROM   pg_catalog.pg_user
      	WHERE  usename = 'i3dhub') THEN

	CREATE USER "i3dhub" WITH
  		LOGIN
  		--SUPERUSER 	-- does not work with Amazon RDS, provisioned user does hot have SUPERUSER and thus cannot create new users with SUPERUSER
  		CREATEDB 		-- we want to create databases with our user so permissions for everything are automatically correct
  		NOCREATEROLE
  		INHERIT
  		NOREPLICATION;
	END IF;
END
$body$;

ALTER USER "i3dhub" WITH PASSWORD '12and3'; -- TODO: make this configurable

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

